# B15F: ViewMonitor Class Reference

ViewMonitor Class Reference

`#include <view_monitor.h>`

Inheritance diagram for ViewMonitor:

## Public Member Functions

virtual call_t | keypress (int &key) override
Public Member Functions inherited from ViewInfo
virtual void | setText (std::string text)
virtual void | setLabelClose (std::string label)
virtual void | setCall (call_t call)
virtual void | draw (void) override
Public Member Functions inherited from View
virtual void | setTitle (std::string title)
virtual void | repaint (void)

## Protected Member Functions

virtual void | worker (void)

## Protected Attributes

volatile bool | run_worker = true
std::thread | t_worker
Protected Attributes inherited from ViewInfo
std::string | text
std::string | label_close
int | close_offset_x = 0
int | close_offset_y = 0
Protected Attributes inherited from View
int | width
int | height
int | start_x = 0
int | start_y = 0
std::string | title
std::vector< call_t > | calls

## Additional Inherited Members

Static Public Member Functions inherited from View
static void | setWinContext (WINDOW *win)
static WINDOW * | getWinContext (void)
static std::vector< std::string > | str_split (const std::string &str, const std::string delim)
Static Protected Attributes inherited from ViewInfo
constexpr static int | text_offset_x = 2
constexpr static int | text_offset_y = 3
Static Protected Attributes inherited from View
static WINDOW * | win = nullptr
constexpr static int | KEY_ENT = 10

## Detailed Description

View to display all B15 inputs.

Definition at line 13 of file view_monitor.h.

The documentation for this class was generated from the following files:

- ui/view_monitor.h
- ui/view_monitor.cpp